"""Added holidays

Revision ID: 75cfb9adf54e
Revises: 6517970c957f
Create Date: 2020-07-28 16:46:03.115360

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
import app

revision = '75cfb9adf54e'
down_revision = '6517970c957f'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('holidays',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uuid', app.models.GUID(), nullable=False),
    sa.Column('date', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    with op.batch_alter_table('holidays', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_holidays_id'), ['id'], unique=False)
        batch_op.create_index(batch_op.f('ix_holidays_uuid'), ['uuid'], unique=False)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('holidays', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_holidays_uuid'))
        batch_op.drop_index(batch_op.f('ix_holidays_id'))

    op.drop_table('holidays')
    # ### end Alembic commands ###
